#! ./bin/linux-x86/OM_Lab

<envPaths
# You may have to change OM_Lab to something else
# everywhere it appears in this file

# Register all support components
dbLoadDatabase "${TOP}/dbd/OM_Lab.dbd"
OM_Lab_registerRecordDeviceDriver pdbbase

# Use the following commands for TCP/IP
#drvAsynIPPortConfigure(const char *portName, const char *hostInfo, unsigned int priority, int noAutoConnect, int noProcessEos);
drvAsynIPPortConfigure("s7","130.199.141.39:4001 tcp",0,1,1)

#modbusInterposeConfig(const char *portName, int slaveAddress, modbusLinkType linkType, int timeoutMsec)
modbusInterposeConfig("s7",1,1000)

# Read the Input Register set
#drvModbusAsynConfigure( const char *portName, const char *tcpPortName, int slaveAddress, int modbusFunction, int modbusStartAddress, int modbusLength, int modbusDataType, int pollMsec, const char * plcType)
drvModbusAsynConfigure("OM_Lab","s7", 1, 4,  0, 14, 0, 10000, "Siemens S7 Modbus")

dbLoadTemplate("${TOP}/db/OM_Lab.substitutions")


iocInit

## Start any sequence programs
#seq sncxxx, "user=ddudley"
